Bug 1653857 - selinux: more nfs-ganesha AVCs w/ selinux-policy-3.13.1-192.el7_5.6
Summary: selinux: more nfs-ganesha AVCs w/ selinux-policy-3.13.1-192.el7_5.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 7.8
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 1711916
TreeView+ depends on / blocked
 
Reported: 2018-11-27 18:54 UTC by Kaleb KEITHLEY
Modified: 2020-03-31 19:11 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-259.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 19:10:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1594962 0 high CLOSED couple selinux denials for comm="ganesha.nfsd scontext=system_u:system_r:ganesha_t:s0 tcontext=system_u:object_r:proc_ne... 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2020:1007 0 None None None 2020-03-31 19:11:04 UTC

Internal Links: 1594962

Comment 6 Milos Malik 2019-02-08 09:50:20 UTC
Majority of SELinux denials (the rest is addressed in comment#4) recorded in the attachment (audit2allow output from all three nodes) indicate that the ganesha_use_fusefs boolean was not enabled and the SELinux denials were direct results of ganesha process accessing the FUSE filesystem. To enable the boolean permanently (the setting survives reboot) please advice customers to run following command:

# setsebool -P ganesha_use_fusefs on

Or include the command in Ganesha documentation as an important step when using FUSE file-systems.

Comment 16 errata-xmlrpc 2020-03-31 19:10:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1007


Note You need to log in before you can comment on or make changes to this bug.